Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.rmi
Class ConnectIOException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.common.T3Exception
                              |
                              +--weblogic.rmi.RemoteException
                                    |
                                    +--weblogic.rmi.ConnectIOException

public final class ConnectIOException
extends RemoteException

This exception is provided for compatibility with java.rmi.*

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.rmi.RemoteException
`detail`

Constructor Summary
`ConnectIOException()`
`ConnectIOException(java.lang.String string)` Constructs a ConnectIOException with the specified string.
`ConnectIOException(java.lang.String string, java.lang.Throwable e)` Constructs a ConnectIOException with the specified string and nested exception.

Methods inherited from class weblogic.rmi.RemoteException
`getMessage`

Methods inherited from class weblogic.common.T3Exception
`getNested, getNestedException, printStackTrace, printStackTrace, setNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectIOException

    public ConnectIOException()

### ConnectIOException

    public ConnectIOException(java.lang.String string)

  Constructs a ConnectIOException with the specified string.

  Parameters:
    `string` - String message

### ConnectIOException

    public ConnectIOException(java.lang.String string,
                              java.lang.Throwable e)

  Constructs a ConnectIOException with the specified string and nested exception.

  Parameters:
    `string` - String message
    `e` - Nested exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference